GCLOUD_APP_INSTANCES_ENABLE-DEBUG(1)

NAME

gcloud app instances enable-debug - enables debug mode for an instance

SYNOPSIS

gcloud app instances enable-debug [INSTANCE] [--service SERVICE, -s SERVICE] [--version VERSION, -v VERSION] [GLOBAL-FLAG ...]

DESCRIPTION
When in debug mode, SSH will be enabled on the VMs, and you can use gcloud compute ssh to login to them. They will be removed from the health checking pools, but they still receive requests. Note that any local changes to an instance will be **lost** and the instance restarted if debug mode is disabled on the instance.

POSITIONAL ARGUMENTS
[INSTANCE]
    The instance ID to enable debug mode on. If not specified, select instance interactively. Must uniquely specify (with other flags) exactly one instance

FLAGS
--service SERVICE, -s SERVICE
    If specified, only match instances belonging to the given service. This affects both interactive and non-interactive selection.
--version VERSION, -v VERSION
    If specified, only match instances belonging to the given version. This affects both interactive and non-interactive selection.

GLOBAL FLAGS
Run $ gcloud help for a description of flags available to all commands.

EXAMPLES
To enable debug mode for a particular instance, run:
    $ gcloud app instances enable-debug --service=service \
      --version=version gae-default-v1-nwz0
To enable debug mode for an instance chosen interactively, run:
    $ gcloud app instances enable-debug